SLINKWATCH-RUN(1)

NAME

slinkwatch-run - Run the slinkwatch service

SYNOPSIS

slinkwatch run [flags]

DESCRIPTION

Run the slinkwatch service

OPTIONS

-c, --config="config.yaml"
    Configuration file

-d, --delta-bytes=100
    threshold of bytes to be exceeded on interface to be marked as up

-h, --help[=false]
    help for run

-i, --interfaces="interfaces.tmpl"
    Template file for interfaces

-p, --poll-interval=5s
    poll time for interface changes

-r, --restart-command="/etc/init.d/suricata restart"
    Suricata restart command

-s, --service-name="suricata.service"
    systemd service name for Suricata service

-t, --target-file="/etc/suricata/interfaces.yaml"
    Target YAML file with interface information

SEE ALSO

slinkwatch(1)